require 'git'

TEST_REPO_PATH = GitoFigure::REPOS + "/test.git.tw.com"
RSpec.configure do |config|
  config.before(:all) do
    puts "\nSetting up test repository in #{TEST_REPO_PATH}"
    raise "\n#{TEST_REPO_PATH} is already present. Please remove it manually and then retry." if Dir.exists?(TEST_REPO_PATH)
    FileUtils.mkdir_p(TEST_REPO_PATH + '/keydir')
    FileUtils.touch(TEST_REPO_PATH + '/conf')
    FileUtils.touch(TEST_REPO_PATH + '/keydir/admin.pub')

    @_g = Git.init(TEST_REPO_PATH)
    @_g.chdir do
      @_g.add '.'
      @_g.commit_all "initial commit"
    end

    @_g.add_remote('origin', '.')
  end
  
  config.after(:all) do
    if @_g
      puts "\nRemoving test repository #{TEST_REPO_PATH}"
      FileUtils.rm_rf(TEST_REPO_PATH)
    end
  end
end
